appControllers.controller('home', function($scope, $ionicPlatform, $cordovaMedia, $state, backgroundsounds_mediahandler, $timeout ) {

  /*
  * Mentor-Anitmation ausschalten
  */
  $scope.showmentor=false;
  $scope.CSSKlickSuchspiel=false;
  $scope.CSSFarmhaus=false;
  $scope.CSSWindrad=false;
  $scope.CSSKornspeicher=false;
  $scope.baumhauszufallaction=99;
    /*
    * Hintergrundmusik laden und starten
    */
    $ionicPlatform.ready(function() {

      $scope.baumhaus_action=[];

      var mediastartesuchspiel = new Media('/android_asset/www/sounds/soundsneu/spiel_intro.mp3', suchspiel_intro_finish,null);

      var baumhaus_action1 = new Media('/android_asset/www/sounds/soundsneu/baumhaus_action_1.mp3', baumhaus_mentor,null);      
      var baumhaus_action2 = new Media('/android_asset/www/sounds/soundsneu/baumhaus_action_2.mp3', baumhaus_mentor,null);
      var baumhaus_action3 = new Media('/android_asset/www/sounds/soundsneu/baumhaus_action_3.mp3', baumhaus_mentor,null);
      var baumhaus_action4 = new Media('/android_asset/www/sounds/soundsneu/baumhaus_action_4.mp3', baumhaus_mentor,null);

      $scope.mediastartesuchspiel=mediastartesuchspiel;
      backgroundsounds_mediahandler.playbackgroundmusic();

      $scope.baumhaus_action.push(baumhaus_action1);
      $scope.baumhaus_action.push(baumhaus_action2);
      $scope.baumhaus_action.push(baumhaus_action3);
      $scope.baumhaus_action.push(baumhaus_action4);
    });

    /*
    * Suchspiel wurde angeklickt, Sound abspielen, Mentor-Animation starten
    */
    $scope.suchspiel_intro = function(){
       $scope.CSSKlickSuchspiel=true;
      $scope.showmentor=true;
      $scope.mediastartesuchspiel.play();
      $scope.mediastartesuchspiel.setVolume('1.0');
    }

    /*
    * Suchspiel Sound ist beendet, Mentor-Animation ausschalten, Suchspiel starten
    */
    function suchspiel_intro_finish() {
      $scope.CSSKlickSuchspiel=false;
      $scope.mediastartesuchspiel.release();
      $scope.showmentor=false;
      $state.go('suchspiel');
    }

    $scope.animate_farmhaus=function(){
      $scope.CSSFarmhaus=true;
      $timeout(function () {
          $scope.CSSFarmhaus=false;
      }, 5000);
    }


    $scope.animate_windrad=function(){
      $scope.CSSWindrad=true;
      $timeout(function () {
          $scope.CSSWindrad=false;
      }, 5000);
    }


    $scope.animate_kornspeicher=function(){
      $scope.CSSKornspeicher=true;
      $timeout(function () {
          $scope.CSSKornspeicher=false;
      }, 5000);
    }

    $scope.baumhaus_actiondo=function(){

      $scope.baumhauszufallaction=getRandomInt(1,5);
      if ($scope.baumhauszufallaction==3){
        $scope.showmentor=true;
        $scope.baumhaus_action[getRandomInt(0,3)].play();
        $scope.mediastartesuchspiel.setVolume('1.0');
      }
    }


    function baumhaus_mentor(){
       $timeout(function () {
          $scope.showmentor=false;
      }, 0);
    }

    /*
    * Zufall für Baumhausaction
    */
    function getRandomInt(min, max) {
      var tmpInt=0;
      min = Math.ceil(min);
      max = Math.floor(max);
      tmpInt = Math.floor(Math.random() * (max - min + 1)) + min; 

      if (tmpInt > max){
        tmpInt=max;
      }

      if (tmpInt < min){
        tmpInt=min;
      }
      return tmpInt;
    }

});